Generation Framework

## org.eclipse.gmf.mappings
Interface Measurable

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  DiagramElementTarget, DomainElementTarget, NotationElementTarget

All Known Implementing Classes:
  DiagramElementTargetImpl, DomainElementTargetImpl, NotationElementTargetImpl

    public interface Measurable

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Measurable'. Marker interface for anything that can be subject to metrics

See Also:
  `GMFMapPackage.getMeasurable()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.